//index.js
const app = getApp()

Page({
  data: {
    avatarUrl: './logo.png',
    logged: false,
    takeSession: false,
    requestResult: '',
    imagePath: '',
    fileID: '',
    cloudPath: '',
    imagePath: '',
    },

  // 上传图片
  doUpload: function () {
    // 选择图片
    wx.chooseImage({
      count: 1,
      sizeType: ['compressed'],
      sourceType: ['album', 'camera'],
      success: (res) => {
        wx.showLoading({
          title: '上传中',
        })
        const filePath = res.tempFilePaths[0]     
        // 上传图片
        const cloudPath = 'my-image' + filePath.match(/\.[^.]+?$/)[0]
        wx.cloud.uploadFile({
          cloudPath,
          filePath
        }).then((res) => {
          app.globalData.fileID = res.fileID
          app.globalData.cloudPath = cloudPath
          app.globalData.imagePath = filePath
          this.setData({
            avatarUrl: app.globalData.imagePath,
          })
          wx.hideLoading()
        }).catch((e) => {
          wx.showToast({
            icon: 'none',
            title: '上传失败',
          })
          wx.hideLoading()
        })
      },
      fail: e => {
        console.error(e)
      }
    })
    
  },

  getTempFileURL: function () {
    wx.cloud.getTempFileURL({
      fileList: [app.globalData.fileID]
    }).then((res) => {
      this.setData({
        getTempFileURL: res.fileList[0].tempFileURL
      })
    }).catch((e) => {
      wx.showToast({
        icon: 'none',
        title: '获取失败',
      })
    })

  },

  deleteFile: function () {
    wx.cloud.deleteFile({
      fileList: [app.globalData.fileID]
    }).then((res) => {
      wx.showToast({
        icon: 'none',
        title: '删除成功',
      })
    }).catch((e) => {
      wx.showToast({
        icon: 'none',
        title: '删除失败',
      })
    })
  },

  cReset: function () {
    this.setData({
      getTempFileURL: '',
      avatarUrl: './logo.png',
      userInfo: '',
    })
  }


})
